# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.ClassifyReso200ResponseValueInnerMediaInner do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :MediaCategory,
    :MediaURL,
    :MediaKey,
    :MediaModificationTimestamp,
    :MediaOf
  ]

  @type t :: %__MODULE__{
    :MediaCategory => String.t | nil,
    :MediaURL => String.t | nil,
    :MediaKey => String.t | nil,
    :MediaModificationTimestamp => Date.t | nil,
    :MediaOf => String.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.ClassifyReso200ResponseValueInnerMediaInner do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:MediaModificationTimestamp, :date, nil, options)
  end
end

